
Redmine - Defect #13760

forward slashes in project name confuses attachment controller and gives 404 when downloading

2013-04-12 23:53 - Hossam Hammady

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.3.2

Description

If the project name contains a forward slash (/) no attachments can be downloaded as it confuses the attachments controller with a

subdirectory within the files directory. I wonder why does the URL routing to the attachment download contain the project name and

issue number, is it for security? /attachments/id is enough I believe, and the authorization module should take care of the rest.

your database manager version: Mysql 5.5.24-0ubuntu0.12.04.1

your Ruby version: ruby 1.8.7 (2011-06-30 patchlevel 352) [i686-linux]

your Rails version: 2.3.14

Error from Apache2 log:

HOST:IP- - [12/Apr/2013:21:30:34 +0000] "GET

/attachments/2478/V%2Ff%20Controller%20-%20Test_332_Revision%20version-1.docx HTTP/1.1" 404 549

"http://HOST/issues/332" "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_8_3) AppleWebKit/536.28.10 (KHTML, like Gecko)

Version/6.0.3 Safari/536.28.10"

History

#1 - 2013-04-13 06:11 - Ivan Cenov

I cannot reproduce in Redmine 2.3.0:

Created project with name 'slash/inname'.

Created issue in it and attached a file ('about.php') to this issue

Then I was able to download and view this file in a text editor.

#2 - 2013-04-13 07:51 - Toshi MARUYAMA

- Status changed from New to Closed

1.3.2 is not maintained.

Please upgrade to 2.3.0.
